
Tripnet - Client Comments #45542
Cancellation policy
08/27/2018 04:23 pm - Sreerag Prasannan

Status: Fixed not Tested Start date: 10/04/2018
Priority: Normal Due date: 10/07/2018
Assignee: Akhil (TSP) S % Done: 100%
Category: Functionality Estimated time: 0.00 hour
Target version: Spent time: 17.55 hours
End_Date: 10/07/2018 Areas Affected: B2Bweb/Areas/Search/Controllers/HotelController.cs


remarks: Nil Files Changed: B2Bweb/Areas/Search/Controllers/HotelController.cs



B2Bweb/Areas/Search/Views/Hotel/HotelPassengerDetail.cshtml



B2Bweb/Areas/Search/Views/Hotel/HotelSummaryPartial.cshtml



B2Bweb/Areas/Search/Views/Hotel/RoomCombinationDetailsPartial.cshtml



B2Bweb/Areas/Search/Views/Hotel/RoomCompleteDetailsPartial.cshtml



B2Bweb/Areas/Search/Views/Hotel/RoomDetails.cshtml



B2Bweb/Areas/Search/Views/Hotel/SingleRoomsDetailsPartial.cshtml



B2C/Code/HelperClass/HotelHelperClass.CancellationPolicy.cs



B2C/Code/Hotel/HotelBooking.cs



 B2C/Code/Hotel/HotelCancellationPolicy.cs



B2C/Views/Flight/PaxDetailsPartial.cshtml



B2C/Views/FlightHotel/FlightHotelPassengerDetails.cshtml



B2C/Views/Hotel/PaxDetailsPartial.cshtml



CommonProjects/Common/Settings.cs




DB Changes: Nil Initial Planned Hours:
Keys & Permissions: Added Key 

"TimoutforCancellationRequest"

Set Its Value in Milliseconds








Description

Sometimes from some of the supplier the cancellation policy is not coming in such condition display as non- refundable

History
#1 - 10/04/2018 06:19 am - Vipin das
- Due date set to 10/04/2018
- Status changed from New to Assigned
- Assignee set to Akhil (TSP) S
- Start date changed from 08/27/2018 to 10/04/2018

#2 - 10/04/2018 07:04 am - Akhil (TSP) S
- Status changed from Assigned to In Progress

#3 - 10/04/2018 04:40 pm - Akhil (TSP) S
- % Done changed from 0 to 30

    -  B2C upto to Payment Finished.

#4 - 10/05/2018 05:54 am - Vipin das
- Due date changed from 10/04/2018 to 10/05/2018

#5 - 10/05/2018 04:22 pm - Akhil (TSP) S
- % Done changed from 30 to 60

    -  B2C Finished.
    -  started doing B2B.
    -  Room details page Finished.

#6 - 10/06/2018 04:20 pm - Akhil (TSP) S
- % Done changed from 60 to 100

    -  Cancellation policy issue Fixed as per client Comment.
#7 - 10/07/2018 06:41 am - Vipin das
- Due date changed from 10/05/2018 to 10/07/2018

#8 - 10/07/2018 09:13 am - Akhil (TSP) S
- Status changed from In Progress to Fixed not Tested
- End_Date set to 10/07/2018
- remarks set to Nil
- DB Changes set to Nil
- Keys & Permissions set to Added Key 
"TimoutforCancellationRequest"
Set Its Value in Milliseconds

- Areas Affected set to B2Bweb/Areas/Search/Controllers/HotelController.cs

- Files Changed set to B2Bweb/Areas/Search/Controllers/HotelController.cs

B2Bweb/Areas/Search/Views/Hotel/HotelPassengerDetail.cshtml

B2Bweb/Areas/Search/Views/Hotel/HotelSummaryPartial.cshtml

B2Bweb/Areas/Search/Views/Hotel/RoomCombinationDetailsPartial.cshtml

B2Bweb/Areas/Search/Views/Hotel/RoomCompleteDetailsPartial.cshtml

B2Bweb/Areas/Search/Views/Hotel/RoomDetails.cshtml

B2Bweb/Areas/Search/Views/Hotel/SingleRoomsDetailsPartial.cshtml

B2C/Code/HelperClass/HotelHelperClass.CancellationPolicy.cs

B2C/Code/Hotel/HotelBooking.cs

 B2C/Code/Hotel/HotelCancellationPolicy.cs

B2C/Views/Flight/PaxDetailsPartial.cshtml

B2C/Views/FlightHotel/FlightHotelPassengerDetails.cshtml

B2C/Views/Hotel/PaxDetailsPartial.cshtml

CommonProjects/Common/Settings.cs

    -  Issue Fixed.
    -  cancellation Policy Response timout when Delay occurs show as Refundable.

#9 - 12/07/2018 08:30 am - Akhil (TSP) S
cancellation Policy Response timout or Delay occurs show as Non Refundable.
